/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_puts.h                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2015/12/08 16:12:13 by ale-batt          #+#    #+#             */
/*   Updated: 2015/12/08 16:34:08 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef FT_PUTS_H
# define FT_PUTS_H

# include "libft.h"

void	ft_putchar(char c);
void	ft_putchar_fd(char c, int fd);

void	ft_putstr(char *str);
void	ft_putendl(char const *s);
void	ft_puts(char *str);
void	ft_putnull(char *str);
void	ft_printexit(char *str, int sortie);
void	ft_putstr_fd(char const *s, int fd);
void	ft_putendl_fd(char const *s, int fd);

void	ft_putstr_color(char *str, char *color);
void	ft_putstr_idcolor(char *str, int n);

void	ft_printtab(char **tab);

void	ft_putnbr(int	nb);
void	ft_putnbr_fd(int n, int fd);

#endif
