/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_tab_to_list.c                                   :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2015/12/10 15:06:43 by ale-batt          #+#    #+#             */
/*   Updated: 2015/12/10 15:36:52 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

t_list  *ft_tab_to_list(char **tab)
{
    t_list  *list;
    t_list  *node;
    int     y;

    y = 0;
    list = NULL;
    while (tab[y])
    {
        node = ft_lstnew(tab[y], sizeof(tab[y]));
        ft_lstadd_end(&list, node);
        y++;
    }
    return (list);
}
