/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_putstr_color.c                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/12/17 17:49:45 by ale-batt          #+#    #+#             */
/*   Updated: 2015/01/02 18:38:49 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

static char		*gestion_couleur(char *color)
{
	if (ft_strcmp(color, "green") == 0)
		return ("\033[32m");
	else if (ft_strcmp(color, "red") == 0)
		return ("\033[31m");
	else if (ft_strcmp(color, "highlight") == 0)
		return ("\033[1m");
	else if (ft_strcmp(color, "underline") == 0)
		return ("\033[4m");
	else if (ft_strcmp(color, "blink") == 0)
		return ("\033[5m");
	else if (ft_strcmp(color, "black") == 0)
		return ("\033[30m");
	else if (ft_strcmp(color, "yellow") == 0)
		return ("\033[33m");
	else if (ft_strcmp(color, "blue") == 0)
		return ("\033[34m");
	else if (ft_strcmp(color, "purple") == 0)
		return ("\033[35m");
	else if (ft_strcmp(color, "cyan") == 0)
		return ("\033[36m");
	else if (ft_strcmp(color, "white") == 0)
		return ("\033[37m");
	else
		return ("\033[0m");
}

void			ft_putstr_color(char *str, char *color)
{
	ft_putstr(gestion_couleur(color));
	ft_putstr(str);
	ft_putstr("\033[00m");
}
