/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strtrim.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/06 15:08:11 by ale-batt          #+#    #+#             */
/*   Updated: 2014/11/07 21:58:01 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strtrim(char const *s)
{
	int		i;
	int		end_s;
	char	*str;

	if (!s)
		return (NULL);
	i = 0;
	end_s = ft_strlen((char *)s);
	if (end_s > 2)
		end_s--;
	while ((s[i] == ' ' || s[i] == '\n' || s[i] == '\t') && s[i])
		i++;
	while ((s[end_s] == ' ' || s[end_s] == '\n' || s[end_s] == '\t')
			&& end_s > i)
	{
		end_s--;
	}
	str = ft_strsub(s, i, ((end_s - i) + 1));
	if (!str)
		return (NULL);
	return (str);
}
