/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_ultijoin.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2015/03/04 13:39:38 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/25 20:01:39 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"
#include <stdarg.h>

/*	Utilisation avec une valeur NULL en fin de parametre */

char	*ft_ultijoin(char *str, ...)
{
	va_list	ap;
	char	*tmp;
	char	*cpy;

	va_start(ap, str);
	while (42)
	{
		tmp = va_arg(ap, char *);
		if (!tmp)
			break ;
		cpy = ft_strdup(str);
		str = ft_strjoin(cpy, tmp);
		free(cpy);
	}
	free(tmp);
	va_end(ap);
	return (str);
}
