/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strlcat.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/05 11:22:10 by ale-batt          #+#    #+#             */
/*   Updated: 2015/09/17 13:15:37 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

size_t		ft_strlcat(char *dst, const char *src, size_t size)
{
	size_t	i;
	size_t	tmp;

	i = 0;
	tmp = (size_t)ft_strlen(dst);
	while (dst[i] && i < size)
		i++;
	if (ft_strlen(dst) + 1 < size)
	{
		ft_strncat(dst, src, (size - tmp - 1));
		return (ft_strlen((char *)src) + tmp);
	}
	return (ft_strlen((char *)src) + i);
}
