/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   key_move.c                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/01/24 16:54:59 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/25 20:05:25 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_select.h"
#define HEAD 1
#define TAIL 0

t_llist				*get_current(void)
{
	t_llist *tmp;

	tmp = g_env(NULL)->list;
	while (tmp)
	{
		if (CONTENT->cursor == 1)
			return (tmp);
		tmp = tmp->next;
	}
	return (tmp);
}

static void			move_to(t_llist *list, int where)
{
	t_llist *tmp;

	tmp = list;
	if (where == TAIL)
	{
		while (tmp->next)
			tmp = tmp->next;
	}
	else if (tmp->prev && where == HEAD)
	{
		while (tmp->prev)
			tmp = tmp->prev;
	}
	CONTENT->cursor = 1;
}

void				move_cursor(t_llist *tmp, char *key)
{
	if (FTKEY_UP)
	{
		CONTENT->cursor = 0;
		if (tmp->prev)
			CONTENT_PREV->cursor = 1;
		else
			move_to(tmp, TAIL);
	}
	else if (FTKEY_DOWN)
	{
		CONTENT->cursor = 0;
		if (tmp->next)
			CONTENT_NEXT->cursor = 1;
		else
			move_to(tmp, HEAD);
	}
}
