/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   parser.c                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/01/24 15:48:34 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/24 16:06:52 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_select.h"

t_llist		*parser_argv(char **argv)
{
	t_llist	*list;
	t_llist	*node;
	t_argv	*av;
	int		y;

	y = 0;
	list = NULL;
	while (argv[y])
	{
		av = (t_argv *)malloc(sizeof(t_argv));
		av->word = ft_strdup(argv[y]);
		av->len = ft_strlen(av->word);
		av->cursor = (y == 0) ? 1 : 0;
		av->select = 0;
		node = ft_llstnew(av);
		ft_llstadd_end(&list, node);
		y++;
	}
	return (list);
}
