/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   tools.c                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/01/24 16:18:35 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/25 18:50:55 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_select.h"
#include <sys/stat.h>

int		ft_iputchar(int c)
{
	write(g_env(NULL)->fd_tty, &c, 1);
	return (1);
}

char	*ft_tgetstr(char *id)
{
	char	*res;

	res = tgetstr(id, NULL);
	if (res == NULL)
	{
		ft_putstr("Error ft_tgetstr with id : ");
		ft_putendl(id);
	}
	return (res);
}

int		ft_file_exist(const char *name)
{
	FILE *file;

	if ((file = fopen(name, "r")))
	{
		fclose(file);
		return (1);
	}
	return (0);
}

int		ft_is_dir(const char *path)
{
	struct stat statbuf;

	if (stat(path, &statbuf) != 0)
		return (0);
	return (S_ISDIR(statbuf.st_mode));
}
